*{
    box-sizing: border-box;
}
#TitlePage{
    position: relative;
    top: -8vh;
    text-align: center;
    background-image: url(/img/portada2.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
}
.TitlePageTransparency{
    position: absolute;
    bottom: 0%;
    width: 100%;
    height: 60%;
    background-image: linear-gradient(to bottom, rgba(26, 26, 26,0), rgb(26, 26, 26,0.75) 55%,rgb(26, 26, 26,1) 95%);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-bottom: 0px;
}
.transparencyContent2{
    margin-bottom: 30px;

}
.Title{
    color: white;
    font-weight: 600;
    line-height: 1.2;
    margin-bottom: 20px;
}
.Subtitle{
    color: rgb(255, 255, 255);
    margin-bottom: 25px;
    line-height: 1.1;
}
.getQuote-hero{
    background-color: #81f1b1;
    color: #224f34;
    padding: 8px 40px;
    border-radius: 18px;
    font-size: 1.5rem;
    font-weight: 700;
    width: fit-content;
    margin: 0 auto 10px auto;
    text-decoration: none;
}
.transparencyContent2 a{
    text-decoration: none;
}
#card-conteiner{
    display: flex;
    flex-wrap: wrap;
}
.card{
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: #998c82; */
    background-color: #d3e2d9;
    margin: 20px auto 10px auto;
    border-radius: 25px;
    box-shadow: 4px 4px 8px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.3);
    border-style: none;
    animation: appear  linear;
    animation-timeline:view();
    animation-range: entry 0% cover 40%;
}
.imageCard{
overflow: hidden;
height: 300px;
margin: 10px;
border-radius: 20px;
transition: box-shadow 0.8s,transform 0.8s;
}
.imageCard:hover{
    box-shadow: 1px 1px 20px 0 rgb(255, 255, 255);
    transform: scale(1.02,1.02);
}
.descriptionCard{
    width: 100%;
    height: 176px;
    background-color: #d3e2d9;
}
.titleCard{
    width: 90%;
    background-color: #d3e2d9;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    height: 50px;
    text-transform: uppercase;
}
.titleCard h2{
    /* color: #225035; */
    color: rgba(71, 52, 38, 0.7);
;
}
.card ul{
    text-align: start;
    color: rgb(34, 34, 34);
    font-size: 1.2em;
    line-height: 1.2;
    margin: 2%;
}
.card a {
    color: rgb(104, 136, 109);
    text-decoration: none;
}
.card a:hover{
    color: rgb(255, 255, 255);
}

#Reviews, #Why-us, #Areas{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}
#Reviews{
    background-color: #224f34;
    color: white;
}
.reviewDescription{
    width: 60%;
    align-items: center;
    align-self: center;
}
.reviewDescription h1{
    color: #a59386;
}
.reviewGoogle{
    overflow: hidden;
    width: 40%;
    text-align: left;
    border-radius: 10px;
}
#aboutUs{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
#projectsCounter{
    background-color: white;
    padding: 35px 0;
    border-radius: 25px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.counter{
    font-family: "Quantico";
    font-size: 4rem;
    font-weight: 700;
}
.areas{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: start;
  margin-bottom: 20px;
}
.area{
  background-color: #ffffff;
  color: #292929;
  padding: 4px 10px;
  border-radius: 10px;
  margin: 5px;
  /* box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); */
}
#socials a{
    font-size: 3em;
    margin: 0 30px 0 0;
    color: black;
}
.schedule{
    font-family: sans-serif;
    font-size: 20px;
}
.floating-call-button {
    opacity: 0;
    display: flex;
    position: fixed;
    bottom: 20px;
    right: 2%; /* Match the right padding of the nav */
    width: 65px; /* Increased by 15px */
    height: 65px; /* Increased by 15px */
    border: 2px solid rgba(231, 231, 231, 0.945);
    border-radius: 18px;
    background-color: rgba(255, 255, 255, 0.603);
    backdrop-filter: blur(16px);
    z-index: 10;
    color: #105018;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    font-size: 25px; /* Adjust font size for larger button */
    z-index: 1000;
}
/* Animacion para las tarjetas de servicios. */
@keyframes appear
{
    from{
        opacity: 0;
        scale: 0.5;
    }
    to{
        opacity: 1;
        scale: 1;
    }
}
/* Extra small devices (phones, 576px and down) */
@media (max-width: 576px) {
    #TitlePage{
        /* top: -8vh; */
        height: 94vh;
        background-position: bottom left;
    }
    .Title{
        font-size: 3.3rem;
        font-weight: 700;
    }
    .TitlePageTransparency{
        padding: 0 auto;
    }
    .card{
        width: 360px;
        height: 500px;
        margin-bottom: 20px;
    }

    .reviewDescription,.reviewGoogle{
        width: 100%;
        font-size: 1em;
    }
    .text-section,.content-section{
        width: 100%;
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    #TitlePage{
        background-position:top center;
    }
    .card{
        width: 350px;
        height: 500px;
        margin-bottom: 20px;
    }
    .reviewDescription,.reviewGoogle{
        width: 100%;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    #TitlePage{
        top: -7vh;
        height: 100vh;
        background-position: bottom left;
    }
    .Title{
        font-size: 5.5rem;
        font-weight: 700;
    }
    .Subtitle{
        font-size: 1.3em;
    }
    .card{
        width: 340px;
        height: 500px;
    }
    .text-section,.content-section{
        width: 100%;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    #TitlePage{
        top: -12vh;
        background-image: url(/img/portada.jpg);
    }
    .TitlePageTransparency{
        height: 65%;
    }

    .Title{
        margin-top: 65px;
        font-size: 3.5rem;
    }
    .Subtitle{
        font-size: 1.5em;
    }
    .card{
        width: 340px;
        height: 500px;
    }
    .text-section,.content-section{
    width: 50%;
    }
    #projectsCounter{
        width: 90%;
        margin-left: 35px;
    }
    #Why-us p{
        padding-right: 30px;
    }
    .reviewDescription,.reviewGoogle{
        width: 100%;
    }
    #Areas{
        flex-direction: row-reverse;
        justify-content: flex-end;
    }
    #Areas .text-section{
        text-align: end;
    }
    #Areas .areas{
        justify-content: end;
    }
    .content-section{
        padding-top: 100px;
    }
    .content-section iframe{
        width: 95%;
        height: 400px;
    }

}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {     
#TitlePage{
        top: -8.5vh;
     }
.Title{
        margin-top: 140px;
        font-size: 4.4rem;
    }
    .card{
        width: 360px;
        height: 500px;
        margin-bottom: 30px;
    }
    .reviewDescription{
        width: 50%;

    }
    .reviewGoogle{
        width: 45%;
    }
 }

 /* XX-Large devices (larger desktops, 1400px and up)*/
 @media (min-width: 1400px) {
     #TitlePage{
        top: -7.4vh;
     }
    .Title{
        font-size: 6.5rem;
        font-weight:600;
    }
    .Subtitle{
        font-size: 1.8em;
    }
    .card{
        width: 360px;
        height: 500px;
        margin-bottom: 50px;
    }
    .content-section{
        padding-top: 10px;
    }
    .content-section iframe{
        width: 95%;
        height: 450px;
    }
 }
